Description

I posted this in the developer mailing list but adding it here also

Hi all, in this document http://www.faa.gov/documentLibrary/media/Order/8260.54A.pdf in Appendix 2 there are lots of calculations and

algorithms for solving some useful problems when working with non projected data e.g. EPSG 4326

There is also this github repo https://github.com/pkohut/GeoFormulas and 

http://wired2code.wordpress.com/2010/07/14/wgs84-ellipsoid-calculations/

Apparently they are written in C and I am wondering if maybe QGIS could benefit from it, I would really want to port this to python also but

I am still very new to programming to actually achieve this

Anyway I hope someone with more skills than me can review this and maybe see if this can be used for QGIS

For easy references cases covered are here http://www.pkautomation.com/wgs84_geodesic_calc.html

History

#1 - 2014-06-24 05:12 AM - Paolo Cavallini

- Category set to Projection Support

#2 - 2016-02-13 03:06 PM - Nyall Dawson

- Status changed from Open to Feedback

QGIS already handles calculations using a preset ellipsoid (check under Project Properties). I'm struggling to understand what is currently missing that this

request refers to. Can you give specifics?

#3 - 2016-02-13 04:49 PM - Antonio Locandro

- File case3.png added

- File case2.png added

- File case__.png added

Actually it refers to QGIS be able to do some or all of the calculations described in the package geodetically, for example in WGS84. Like given a center

and a radius calculate the intercept of a line given point of origin and azimuth. This could be nice to have for advanced editing capabilities using geodetic

formulas. But maybe its an edge case and not needed by everyone

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
